
/** When your routing operation is too long, you can split it into small modules**/

import Layout from "@/layout/index.vue";

const operationRouter = [{
    path: '/operation',
    component: Layout,
    redirect: '/operation/giftcode',
    name: 'operation',
    meta: {
        title: '运营工具',
        icon: 'School'
    },
    children: [
        {
            path: '/operation/giftcode',
            component: () => import('@/views/operation/giftcode/index.vue'),
            name: 'giftcode',
            meta: { title: '礼包码', icon: 'MenuIcon'},
            alwaysShow:true,
            redirect: '/views/operation/giftcode/fixedGeneration',
            children: [
                {
                  path: '/views/operation/giftcode/fixedGeneration',
                  component: () => import('@/views/operation/giftcode/fixedGeneration/index.vue'),
                  name: 'fixedGeneration',
                  meta: { title: '固定生成' , icon: 'MenuIcon'}
                },
                {
                    path: '/views/operation/giftcode/randomGeneration',
                    component: () => import('@/views/operation/giftcode/randomGeneration/index.vue'),
                    name: 'randomGeneration',
                    meta: { title: '随机生成' , icon: 'MenuIcon'}
                  },
                  {
                    path: '/views/operation/giftcode/listTable',
                    component: () => import('@/views/operation/giftcode/listTable/index.vue'),
                    name: 'listTable',
                    meta: { title: '信息列表' , icon: 'MenuIcon'}
                  },
            ]
        },
        {
            path: '/operation/whitelist',
            component: () => import('@/views/operation/whitelist/index.vue'),
            name: 'whitelist',
            meta: { title: '白名单', keepAlive: true , icon: 'MenuIcon'}
        },
        // {
        //     path: '/operation/sendmail',
        //     component: () => import('@/views/operation/sendmail/index.vue'),
        //     name: 'sendmail',
        //     meta: { title: '发送邮件', keepAlive: true , icon: 'MenuIcon'}
        // },
        // {
        //     path: '/operation/notice',
        //     component: () => import('@/views/operation/notice/index.vue'),
        //     name: 'notice',
        //     meta: { title: '游戏公告', keepAlive: true  , icon: 'MenuIcon'}
        // },
    ]
}]

export default operationRouter
